#!/bin/bash
#
# Tobias Holzmann
# Script for numerical data extraction
# 18.05.2020
#
#------------------------------------------------------------------------------


#------------------------------------------------------------------------------

echo "Collect data..."

mkdir -p data

for i in 1 2 3 4
do
    mesh=""

    if [ $i == 1 ]; then mesh="hexahedron_45"; fi
    if [ $i == 2 ]; then mesh="hexahedron_0"; fi
    if [ $i == 3 ]; then mesh="tetrahedral"; fi
    if [ $i == 4 ]; then mesh="polyhedral"; fi


    for c in `ls -d research_$i/*/*`
    do

        name=""
        if [ $i == 1 ]; then name=${c#"research_1/"}; fi
        if [ $i == 2 ]; then name=${c#"research_2/"}; fi
        if [ $i == 3 ]; then name=${c#"research_3/"}; fi
        if [ $i == 4 ]; then name=${c#"research_4/"}; fi
        mkdir -p data/$mesh/$name

        cp $c/postProcessing/sampleLine/1/* data/$mesh/$name/data

    done

done

echo "Data collected..."


#------------------------------------------------------------------------------
